diff --git a/bin/foamPackSource b/bin/foamPackSource
index 30e52c72daed9d7dc846f9ebed7b0844df028d41..59772a9e5082857da22c879c12a869b17c9e53e5 100755
--- a/bin/foamPackSource
+++ b/bin/foamPackSource
@@ -73,13 +73,15 @@ find -H $packDir               \
  -a ! -name "core"             \
  -a ! -name "core.[1-9]*"      \
  -a ! -name "log[0-9]*"        \
+ -a ! -name "libccmio*"        \
  -a ! -name "\.ebrowse"        \
 | sed                          \
  -e "\@$packDir/.git/@d"       \
  -e "\@$packDir/lib/@d"        \
- -e '\@applications/bin/@d'       \
- -e '\@/t/@d'                     \
- -e '\@Make[.A-Za-z]*/[^/]*/@d'   \
+ -e "\@libccmio.*/@d"          \
+ -e '\@applications/bin/@d'    \
+ -e '\@/t/@d'                  \
+ -e '\@Make[.A-Za-z]*/[^/]*/@d'\
  > $tmpFile
 
 tar czpf $packFile --files-from $tmpFile
diff --git a/bin/foamPackThirdPartyBin b/bin/foamPackThirdPartyBin
new file mode 100755
index 0000000000000000000000000000000000000000..26c165a36ae9a66a7744079cd567ebb86a861436
--- /dev/null
+++ b/bin/foamPackThirdPartyBin
@@ -0,0 +1,77 @@
+#!/bin/sh
+#------------------------------------------------------------------------------
+# =========                 |
+# \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
+#  \\    /   O peration     |
+#   \\  /    A nd           | Copyright (C) 1991-2008 OpenCFD Ltd.
+#    \\/     M anipulation  |
+#-------------------------------------------------------------------------------
+# License
+#     This file is part of OpenFOAM.
+#
+#     OpenFOAM is free software; you can redistribute it and/or modify it
+#     under the terms of the GNU General Public License as published by the
+#     Free Software Foundation; either version 2 of the License, or (at your
+#     option) any later version.
+#
+#     OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
+#     ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+#     FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+#     for more details.
+#
+#     You should have received a copy of the GNU General Public License
+#     along with OpenFOAM; if not, write to the Free Software Foundation,
+#     Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+#
+# Script
+#     foamPackThirdPartyBin <archOptions> [outputDir]
+#
+# Description
+#     Packs and compresses binary version of OpenFOAM ThirdParty for release
+#
+#------------------------------------------------------------------------------
+
+if [ $# = 0 ]
+then
+   echo "Error: archOptionsitecture type expected, exiting"
+   echo
+   echo "Usage : ${0##*/} <archOptions> [outputDir]"
+   echo
+   exit 1
+fi
+archOptions=$1
+arch=${archOptions%%G*}
+
+timeStamp=$(date +%Y-%m-%d)
+packDir=ThirdParty
+packFile=${packDir}.${archOptions}_${timeStamp}.gtgz
+
+# add optional output directory
+if [ -d "$2" ]
+then
+   packFile="$2/$packFile"
+fi
+
+if [ -f $packFile ]
+then
+   echo "Error: $packFile already exists"
+   exit 1
+fi
+
+# get list of directories
+dirList=`find $packDir -type d -name $arch -o -type d -name $archOptions`
+echo
+echo "Packing $archOptions port of $packDir into $packFile"
+echo
+
+tar czpf $packFile $dirList
+
+if [ $? = 0 ]
+then
+   echo "Finished packing and compressing file $packFile"
+else
+   echo "Error: failure packing $packFile"
+   rm -f $packFile 2>/dev/null
+fi
+
+#------------------------------------------------------------------------------
diff --git a/bin/foamPackThirdPartyGeneral b/bin/foamPackThirdPartyGeneral
new file mode 100755
index 0000000000000000000000000000000000000000..b874e4a0bdb8b3207a191ce1303ebcdfc137bf63
--- /dev/null
+++ b/bin/foamPackThirdPartyGeneral
@@ -0,0 +1,70 @@
+#!/bin/sh
+#------------------------------------------------------------------------------
+# =========                 |
+# \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
+#  \\    /   O peration     |
+#   \\  /    A nd           | Copyright (C) 1991-2008 OpenCFD Ltd.
+#    \\/     M anipulation  |
+#-------------------------------------------------------------------------------
+# License
+#     This file is part of OpenFOAM.
+#
+#     OpenFOAM is free software; you can redistribute it and/or modify it
+#     under the terms of the GNU General Public License as published by the
+#     Free Software Foundation; either version 2 of the License, or (at your
+#     option) any later version.
+#
+#     OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
+#     ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+#     FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+#     for more details.
+#
+#     You should have received a copy of the GNU General Public License
+#     along with OpenFOAM; if not, write to the Free Software Foundation,
+#     Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+#
+# Script
+#     foamPackThirdPartyGeneral [outputDir]
+#
+# Description
+#     Packs and compresses the OpenFOAM ThirdParty directory for release
+#
+#------------------------------------------------------------------------------
+
+timeStamp=$(date +%Y-%m-%d)
+packDir=ThirdParty
+packFile=${packDir}.General_${timeStamp}.gtgz
+
+if [ ! -d $packDir ]
+then
+   echo "Error: directory $packDir does not exist"
+   exit 1
+fi
+
+# add optional output directory
+if [ -d "$1" ]
+then
+   packFile="$1/$packFile"
+fi
+
+if [ -f $packFile ]
+then
+   echo "Error: $packFile already exists"
+   exit 1
+fi
+
+# Create time stamp file
+# ~~~~~~~~~~~~~~~~~~~~~~
+
+echo $timeStamp 2>/dev/null > $packDir/.timeStamp
+
+# Pack and compress the packFile
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+echo
+echo "Packing $packDir into $packFile"
+echo
+
+foamPackSource $packDir $packFile
+
+#------------------------------------------------------------------------------